> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Provinces

> List all Provinces for a Country.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/common/countries/{country_code}/provinces
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/common/countries/{country_code}/provinces:
    get:
      tags:
        - Address
      summary: List Provinces
      description: List all Provinces for a Country.
      operationId: listProvinces
      parameters:
        - name: country_code
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: et
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        country_code:
                          type: string
                          example: LT
                        name:
                          type: string
                          example: Wyoming
                        code:
                          type: string
                          example: yP1mL
                    example:
                      - country_code: LT
                        name: Wyoming
                        code: yP1mL
                      - country_code: LT
                        name: South Carolina
                        code: BMyMb
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - country_code: LT
                      name: Wyoming
                      code: yP1mL
                    - country_code: LT
                      name: South Carolina
                      code: BMyMb
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - country_code: LT
                    name: Wyoming
                    code: yP1mL
                  - country_code: LT
                    name: South Carolina
                    code: BMyMb
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````